POST /api/v202203/utilityPlatform/place/{placeId}/release

Releases all accounts and meters on a specific place for data access

ReleaseAccountAndAllMeterToABuildingV202203
Use this endpoint to bulk-authorize data access for all meters at a place (building). All meters in Pending or Required status at the place will be moved to Released.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
placeId Unique numeric identifier of the place integer (int32) Required

Request Body

DataAccessReleaseNoFileRequest
Property Description Type
accountNumber Account Number Should be a 12 digit number starting with 2. Required string
declined Is the data release declined If true is passed the data provider must support declining a data release otherwise this will throw an exception boolean
nameOnBill Required string
serviceAddress Required string
Example Request Body application/json
{  "accountNumber": "string",  "declined": false,  "nameOnBill": "string",  "serviceAddress": "string"
}

Responses

204 No Content The request succeeded. No content is returned in the response body.